Summary:        Generic CRC functions
Name:           perl-Digest-CRC
Version:        0.24
Release:        1%{?dist}
License:        Public Domain
URL:            https://metacpan.org/release/Digest-CRC
Source0:        https://cpan.metacpan.org/modules/by-module/Digest/Digest-CRC-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make
BuildRequires:  perl-devel perl-generators
BuildRequires:  perl-interpreter perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(DynaLoader) perl(Exporter)
BuildRequires:  perl(strict) perl(Symbol)
BuildRequires:  perl(vars) perl(Fcntl)
Requires:       perl(DynaLoader) perl(Symbol)

%description
The Digest::CRC module calculates CRC sums of all sorts. It contains wrapper
functions with the correct parameters for CRC-SAE-J1850, CRC-CCITT, CRC-16 and
CRC-32.

%prep
%autosetup -n Digest-CRC-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" \
  NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test TEST_VERBOSE=1

%files
%doc Changes README
%{perl_vendorarch}/auto/Digest/
%{perl_vendorarch}/Digest/
%{_mandir}/man3/Digest::CRC.3*

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 0.24-1
- Upgrade to version 0.24

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.23-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.23-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.23-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.23-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 05 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.23-1
- Initial build
